[Image-SIG] installing problem pls help me

Fredrik Lundh fredrik at pythonware.com
Thu Feb 14 21:04:24 CET 2008

bharath venkatesh wrote:

>   I was very much excited when i saw pil(python imaging library) as i 
> require it for my project ..i successfully downloaded PIL 1.1.6 source 
> kit(all platforms)  from the site 
> http://www.pythonware.com/products/pil/ as i am using ubuntu linux os 
> and python 2.5.1 interpreter..
> then i did the following steps mentioned in readme filei.e
> $ cd Python-2.4/Extensions # example
> $ gunzip Imaging-1.1.6.tar.gz
> $ tar xvf Imaging-1.1.6.tar
> $ cd Imaging-1.1.6
> $ python setup.py build_ext -i
> but i am gettting the following errors as shown below i am not  able to 
> figure out ... and i should hurry up with my project so some one pls 
> help me .error message is shown below

googling for the very first error message you get

> _imaging.c:76:20: error: Python.h: No such file or directory

would have told you that you need to install the python-devel package to 
be able to build Python extensions.  but since you're using ubuntu, you 
might as well skip the build step and install the python-imaging package:



More information about the Image-SIG mailing list